body:not(.sidebar-mini-md) .content-wrapper, body:not(.sidebar-mini-md) .main-footer, body:not(.sidebar-mini-md) .main-header {
    margin-left: 0px;
}

footer > div {
    text-align: center;
}

.CodeMirror-used-line {
    background: rgb(255, 255, 0);
}
.CodeMirror-breakpointline {
    background: orange;
}

.CodeMirror pre.CodeMirror-placeholder {
    color: #999;
}
.CodeMirror-search-hint {
    font-size: 8pt;
}
.CodeMirror {
    height: auto;
    line-height: 30px;
    min-height: 300px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

/*
#input-body, #registers-body, #output-body {
    max-height: 500px;
    overflow-y: auto;
}

*/
/*
#history-body {
    max-height: 350px;
}
*/

.cm-tab {
    background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAADAAAAAMCAYAAAAkuj5RAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqYAAAXb5JfxUYAAABjSURBVHja7JUxCoBAEANnVQ4R7vz/Ny0sbGKzgt4PgpduSZMhLAlJOGvCXPYALgqgAnPeuyQk2TQg4HpBxGMsQDNro/YAh0nwAmzZRHF74gDWDH9+jLEDA+DnADcAAAD//wMASMwSTs1rPkUAAAAASUVORK5CYII=);
    background-position: right;
    background-repeat: no-repeat;
}

.breakpoints {
    width: 1em;
    position: absolute;
    left: 3px;
}

.breakpoint {
    color: darkred;
    padding-top: 3px;
}

.flag-icon {
    box-shadow: 0 0 5px 5px white;
}

.empty-pointer-container {
    border-radius: 5px;
}

.input-container, .counter-container, .registers-container, .output-container {
    position: relative;
}
.input-index, .counter-index, .registers-index, .output-index {
    position: absolute;
    top:-5px;
    right: -5px;
    z-index: 1;
}

.output-value, .counter-value, .registers-value, .input-value-disable {
    cursor: not-allowed;
}

.used-register-cell-value {
    background-color: lightcyan;
    border: 2px solid cyan;
    font-weight: bold;
}
.used-register-cell-index {
    background-color: skyblue;
    border: 2px solid mediumslateblue;
    color: black;
}

.used-register-cell-value-indirect {
    background-color: powderblue;
    border: 2px solid deepskyblue;
    font-weight: bold;
}
.used-register-cell-index-indirect {
    background-color: plum;
    border: 2px solid royalblue;
    color: black;
}

.used-location-counter-value {
    background-color: papayawhip;
    border: 2px solid peachpuff;
    font-weight: bold;
}
.used-location-counter-index {
    background-color: peachpuff;
    border: 2px solid orange;
    color: red;
}


.used-read-counter-value, .used-input-cell-value {
    background-color: pink;
    border: 2px solid hotpink;
    font-weight: bold;
}
.used-read-counter-index, .used-input-cell-index {
    background-color: lightcoral;
    border: 2px solid mediumvioletred;
    color: black;
}

.current-location-pointer {
    box-shadow: 0 0 5px 5px rgb(255, 255, 127) !important;
    border-radius: 5px;
    background-color: rgb(255, 255, 200);
}

.current-read-pointer {
    box-shadow: 0 0 5px 5px lightcoral;
    border-radius: 5px;
}
.current-read-pointer > .blank-cell-value, .current-read-pointer > .blank-cell-index {
    opacity: 0.75;
}

.used-write-counter-value, .used-output-cell-value {
    background-color: palegreen;
    border: 2px solid darkseagreen;
    font-weight: bold;
}
.used-write-counter-index, .used-output-cell-index {
    background-color: yellowgreen;
    border: 2px solid lightseagreen;
    color: black;
}

.current-write-pointer {
    box-shadow: 0 0 5px 5px yellowgreen;
    border-radius: 5px;
}
.current-write-pointer > .blank-cell-value, .current-write-pointer > .blank-cell-index {
    opacity: 0.75;
}

.blank-cell-value {
    cursor: not-allowed;
    opacity: 0.25;
}
.blank-cell-index {
    cursor: not-allowed;
    opacity: 0.5;
}

.history-label {
    color: violet;
    font-weight: bold;
}

.history-opcode {
    color: blue;
}

.history-operand {
    color: black;
    text-decoration: underline;
}
.history-operand-1 {
    color: #111;
}
.history-operand-2 {
    color: #222;
    font-style: italic;
}

.history-change-arrow-container {
    display: flex;
    justify-content: center;
    align-items: center;
}